'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});

var _extends =
  Object.assign ||
  function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouter = require('react-router');

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

function NLink(props, prefixUrl) {
  if (!prefixUrl && process.env.PREFIX_URL) {
    prefixUrl = process.env.PREFIX_URL;
  }
  if (props.to[0] !== '/') {
    if (prefixUrl[prefixUrl.length - 1] !== '/') {
      prefixUrl += '/';
    }
  }
  return _react2.default.createElement(
    _reactRouter.Link,
    _extends({}, props, {
      to: prefixUrl + props.to,
    }),
    props.children
  );
}

exports.default = NLink;
